#include <stdio.h>
#include "game.h"
#include "map.h"
static fid;

remove_net_input(){fid = 0;}
add_net_input(int sock){fid = sock;}
clear_notify_window(){printf("\033[%d;1H\033[J", map.ysize + 1);}
append_output_window(char *astring){puts(astring);}
ui_main()
{
printf("\033[H\033[J\033[%dr\033[%dH", map.ysize + 1, map.ysize + 1);
connect_to_server(getenv("LOGNAME"), 0, 0, 0);
while(fid)
  {
  input_from_server(fid);
  while(aiplay());
  }
}

refresh_tile_mapcanvas(int x, int y, int write)
{
char *represent = "adfghjm.prst ";
struct city *pcity = map_get_city(x, y);
struct tile *ptile = map_get_tile(x, y);
char pattern = represent[ptile->terrain];
struct unit *punit = player_find_visible_unit(game.player_ptr, ptile);
printf("7\033[%d;%dH", y + 1, x + 1);
fflush(stdout);
if(punit)
  {
  pattern = unit_name(punit->type)[0];
  printf("\033[%dm", 31 + punit->owner);
  }
if(pcity)
  {
  pattern = pcity->name[0];
  printf("\033[1;%dm", 31 + pcity->owner);
  }
if(ptile->special & S_SPECIAL_1)
  printf("\033[4m");
if(ptile->known < TILE_KNOWN)
  {
  pattern = ' ';
  printf("\033[0m");
  }
printf("%c\033[0m8", pattern);
fflush(stdout);
}

enable_turn_done_button()
{/*
int x, y;
for(y = 0; y < map.ysize; y++)
  for(x = 0; x < map.xsize; x++)
    refresh_tile_mapcanvas(x, y, 1);
fflush(stdout);
//getchar();
*/}

add_notify_window(){}
ai_manual_turn_done(){}
ai_popup_windows(){}
boot_help_texts(){}
center_tile_mapcanvas(){}
city_report_dialog_update(){}
city_workers_display(){}
decrease_unit_hp_smooth(){}
draw_map_grid(){}
free_intro_radar_sprites(){}
gui_server_connect(){}
handle_diplomacy_accept_treaty(){}
handle_diplomacy_cancel_meeting(){}
handle_diplomacy_create_clause(){}
handle_diplomacy_init_meeting(){}
handle_diplomacy_remove_clause(){}
init_messages_where(){}
map_canvas_adjust_x(){}
map_canvas_adjust_y(){}
messages_where(){}
meswin_update_delay_off(){}
meswin_update_delay_on(){}
popdown_all_city_dialogs(){}
popdown_city_dialog(){}
popdown_races_dialog(){}
popup_bribe_dialog(){}
popup_city_dialog(){}
popup_government_dialog(){}
popup_incite_dialog(){}
popup_newcity_dialog(){}
popup_notify_dialog(){}
popup_notify_goto_dialog(){}
popup_races_dialog(){}
popup_science_dialog(){}
process_caravan_arrival(){}
put_city_workers(){}
put_nuke_mushroom_pixmaps(){}
races_toggles_set_sensitive(){}
refresh_city_dialog(){}
refresh_overview_canvas(){}
refresh_overview_viewrect(){}
refresh_spaceship_dialog(){}
refresh_unit_city_dialogs(){}
report_update_delay_off(){}
report_update_delay_on(){}
science_dialog_update(){}
set_overview_dimensions(){}
tilespec_alloc_city_tiles(){}
tilespec_free_city_tiles(){}
tilespec_setup_city_tiles(){}
tilespec_setup_government(){}
tilespec_setup_nation_flag(){}
tilespec_setup_tile_type(){}
tilespec_setup_unit_type(){}
tile_visible_mapcanvas(){}
update_info_label(){}
update_map_canvas(){}
update_menus(){}
update_meswin_dialog(){}
update_players_dialog(){}
update_report_dialogs(){}
update_turn_done_button(){}
update_unit_info_label(){}
wakeup_focus(){}

/* control.c
advance_unit_focus(){}
do_move_unit(){}
get_unit_in_focus(){}
set_unit_focus(){}
set_unit_focus_no_center(){}
update_unit_focus(){}
*/
auto_center_on_unit(){}
get_center_tile_mapcanvas(){}
move_unit_map_canvas(){}
popup_diplomat_dialog(){}
popup_pillage_dialog(){}
popup_unit_select_dialog(){}
put_cross_overlay_tile(){}
set_turn_done_button_state(){}
smooth_move_units(){}
tile_visible_and_not_on_border_mapcanvas(){}
update_map_canvas_visible(){}

